Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Glacier2::SSLPermissionsVerifier`

## Overview

    interface SSLPermissionsVerifier

The SSL Glacier2 permissions verifier. This is called through the process of establishing a session.

### See Also

`Router`

### Operation Index

`authorize`

  Check whether a user has permission to access the router.

## `authorize`

    bool authorize(SSLInfo info,
        out string reason);

Check whether a user has permission to access the router.

### Parameters

`info`

  The SSL information.

`reason`

  The reason why access was denied.

### Return Value

True if access is granted, or false otherwise.

### See Also

`SSLInfo`

<<< Previous | Home | Next >>>
`Glacier2::SSLInfo` | Up | `Glacier2::SSLSessionManager`